Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232707 - The clvmd daemon may be deactivated with open vgs
Summary: The clvmd daemon may be deactivated with open vgs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: lvm2-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 18:32 UTC by Corey Marthaler
Modified: 2013-03-01 04:05 UTC (History)
8 users (show)

Fixed In Version: RHBA-2007-0046
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-10 21:09:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0046 normal SHIPPED_LIVE lvm2-cluster bug fix update 2007-05-10 21:06:38 UTC

Description Corey Marthaler 2007-03-16 18:32:46 UTC
Description of problem:
This is a rhel4 dup of bz 232436.

[root@link-08 ~]# mount -t gfs /dev/corey/lv /mnt/gfs1
[root@link-08 ~]# service clvmd stop
Deactivating VG corey:   Can't deactivate volume group "corey" with 1 open
logical volume(s)
                                                           [FAILED]
Stopping clvm:                                             [  OK  ]
[root@link-08 ~]# echo $?
0
[root@link-08 ~]# uname -ar
Linux link-08 2.6.9-50.ELsmp #1 SMP Tue Mar 6 18:04:58 EST 2007 x86_64 x86_64
x86_64 GNU/Linux

Comment 7 Corey Marthaler 2007-05-07 20:43:21 UTC
Fix verified in lvm2-cluster-2.02.21-7.el4.

Comment 9 Red Hat Bugzilla 2007-05-10 21:09:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0046.html



Note You need to log in before you can comment on or make changes to this bug.